Bug 994963 - glusterd restart takes ~5 secs
glusterd restart takes ~5 secs
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 06:10 EDT by Sachidananda Urs
Modified: 2016-02-17 19:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:20:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glusterd logs (8.86 KB, text/x-log)
2013-08-08 06:10 EDT, Sachidananda Urs
no flags Details

  None (edit)
Description Sachidananda Urs 2013-08-08 06:10:04 EDT
Created attachment 784292 [details]
glusterd logs

Description of problem:

glusterd on U5 restarts in less than a second.

# time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m0.194s
user    0m0.049s
sys     0m0.035s

However, on glusterfs 3.4.0.18rhs built on Aug  7 2013 08:02:45

It takes over 5 seconds.

[root@localhost ~]# time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]
real 0m5.321s
user 0m0.035s
sys 0m0.027s

Attaching glusterd logs
Comment 2 Atin Mukherjee 2014-01-08 00:29:58 EST
This is not reproducible, glusterd took less than a second in restart operation. Please try to reproduce again and let me know whether this behaviour persists in the latest downstream release.
Comment 3 SATHEESARAN 2014-01-08 01:24:06 EST
(In reply to Atin Mukherjee from comment #2)
> This is not reproducible, glusterd took less than a second in restart
> operation. Please try to reproduce again and let me know whether this
> behaviour persists in the latest downstream release.

Restarting glusterd takes more than 3.5 seconds and not less than a second.
In earlier releases before BigBend, it was much less than a minute.

The following was the behavior I tested with latest glusterfs-3.4.0.55rhs-1
[Wed Jan  8 11:40:14 UTC 2014 root@10.70.37.86:~ ] # time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m3.687s
user    0m0.012s
sys     0m0.008s
[Wed Jan  8 11:47:43 UTC 2014 root@10.70.37.86:~ ] # time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m3.615s
user    0m0.010s
sys     0m0.010s
[Wed Jan  8 11:47:56 UTC 2014 root@10.70.37.86:~ ] # time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m3.596s
user    0m0.013s
sys     0m0.008s
[Wed Jan  8 11:48:01 UTC 2014 root@10.70.37.86:~ ] # time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m3.624s
user    0m0.017s
sys     0m0.006s
[Wed Jan  8 11:49:22 UTC 2014 root@10.70.37.86:~ ] # time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m3.562s
user    0m0.013s
sys     0m0.004s
[Wed Jan  8 11:49:27 UTC 2014 root@10.70.37.86:~ ] # time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m3.589s
user    0m0.013s
sys     0m0.007s
Comment 4 Sachidananda Urs 2014-01-08 02:44:53 EST
Which downstream release did you try this on?

I still see this issue:

[root@boo ~]# time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m5.436s
user    0m0.033s
sys     0m0.022s
[root@boo ~]# gluster --version
glusterfs 3.4.0.52rhs built on Dec 19 2013 12:20:16
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@boo ~]# time service glusterd restart
Stopping glusterd:                                         [  OK  ]
Starting glusterd:                                         [  OK  ]

real    0m5.686s
user    0m0.032s
sys     0m0.027s
[root@boo ~]#
Comment 5 Atin Mukherjee 2014-01-09 02:11:47 EST
Checked this behaviour for post BigBend and pre BigBend releases and for both the cases glusterd process takes more than 2 seconds to start/restart. (This problem is not specific to restart only). Further code analysis revealed that there are certian piece of code for gsyncd configuration setting which consumes additional few seconds and this piece of code is brought in once geo-rep feature is implemented.

Will talk to the geo-rep team to check the feasibility whether we can tune the code such that it consumes lesser time, till then keeping the bug open in the same state as it is.
Comment 6 Atin Mukherjee 2014-01-13 01:47:19 EST
As per the discussion with Geo Rep team, the delay is due to glusterd spawning geo-replication daemon process to set the configuration values. It's done this way as the configuration file format is something that is closely tied to geo-replication and is of a specific format.So we need to live with this delay.
Comment 8 Vivek Agarwal 2015-12-03 12:20:37 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.